package com.kmall.admin.service.mk.dist;

import com.kmall.admin.entity.mk.dist.MkDistEntity;

import java.util.List;
import java.util.Map;

/**
 * 分销商，distributorService接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:47
 */
public interface MkDistService {

    /**
     * 根据主键查询实体
     *
     * @param id 主键
     * @return 实体
     */
    MkDistEntity queryObject(Integer distId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkDistEntity> queryList(Map<String, Object> map);
    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkDist 实体
     * @return 保存条数
     */
    int save(MkDistEntity mkDist);

    /**
     * 根据主键更新实体
     *
     * @param mkDist 实体
     * @return 更新条数
     */
    int update(MkDistEntity mkDist);

    /**
     * 根据主键删除
     *
     * @param distId
     * @return 删除条数
     */
    int delete(Integer distId);

    /**
     * 根据主键批量删除
     *
     * @param distIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] distIds);

    MkDistEntity queryDistByGoodsId(Integer goodsId,Integer storeId);

    MkDistEntity queryDistByStoreId(Map<String, Object> map);

    List<MkDistEntity> queryAllByHier(Map<String, Object> map);
}
